import { IRecipient, ISignerTokenResponse, VerdocsEndpoint } from '@verdocs/js-sdk';
import { EventEmitter } from '../../../stencil-public-runtime';
/**
 * Prompt the user to confirm their identity with a one time code via email/SMS.
 */
export declare class VerdocsOtpDialog {
    private resendTimeout;
    /**
     * The endpoint to use to communicate with Verdocs. If not set, the default endpoint will be used.
     */
    endpoint: VerdocsEndpoint;
    /**
     * The type of dialog to display. Three modes are supported.
     */
    method: 'email' | 'sms';
    /**
     * For identity confirmation, the current recipient details.
     */
    recipient: IRecipient | null;
    /**
     * Event fired when the step is cancelled. This is called exit to avoid conflicts with the JS-reserved "cancel" event name.
     */
    exit: EventEmitter;
    /**
     * Event fired when the process has completed successfully.
     */
    next: EventEmitter<{
        response: ISignerTokenResponse;
    }>;
    resendDisabled: boolean;
    response: string;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleCancel(): void;
    handleDismiss(e: any): void;
    startResendTimeout(): void;
    handleResend(): void;
    handleSubmit(): void;
    render(): any;
}
